Last modified: May 22, 2026

Query for a system user

How to retrieve an existing system user for your own system using query parameters.

The endpoint lets you, as an end-user system vendor (SBSL), retrieve an existing system user for your own system. You can look up the system user by combining the system ID and organisation number, and optionally an external reference.

Note: This endpoint is used to check whether a system user exists and to retrieve values such as the system user ID. It does not provide access to the system user token itself. To retrieve a token and use the system user in API calls, see Using a system user.

You use this endpoint to

  • supplement existing status endpoints for system user requests by checking whether a system user has actually been created
  • retrieve the system user ID needed to create change requests
  • check details for an existing system user

Scope

The call is authenticated with a Maskinporten token containing the scope:

altinn:authentication/systemuser.request.write

See the Getting started guide for information on how to obtain access to this scope.

Endpoint

  • Test (TT02): GET https://platform.tt02.altinn.no/authentication/api/v1/systemuser/vendor/byquery
  • Production: GET https://platform.altinn.no/authentication/api/v1/systemuser/vendor/byquery

Query parameters

ParameterTypeRequiredDescription
system-idstringYesThe system ID of the system the system user belongs to
orgnostringYesThe organisation number of the business that owns the system user
external-refstringNoExternal reference set when the system user was created

The external-ref parameter is useful if there are multiple system users for the same combination of system and organisation.

Example

Request

GET https://platform.tt02.altinn.no/authentication/api/v1/systemuser/vendor/byquery
  ?system-id=991825827_smartcloud
  &orgno=314248295
  &external-ref=0.abc123xyz

Response

{
  "id": "b93107d3-da30-4b7a-a8ae-9b0cac079fd2",
  "integrationTitle": "SmartCloud for Skatt",
  "systemId": "991825827_smartcloud",
  "productName": "",
  "reporteeOrgNo": "314248295",
  "created": "2026-05-21T13:35:24.161Z",
  "isDeleted": false,
  "supplierName": "SmartCloud AS",
  "supplierOrgno": "991825827",
  "externalRef": "0.abc123xyz",
  "userType": "standard"
}

Response fields

FieldTypeDescription
idUUIDUnique identifier for the system user
integrationTitlestringName of the system user set at creation
systemIdstringThe system ID the system user belongs to
productNamestringProduct name (may be empty)
reporteeOrgNostringThe organisation number of the business that owns the system user
createddatetimeTimestamp when the system user was created
isDeletedbooleanWhether the system user is deleted
supplierNamestringName of the vendor
supplierOrgnostringThe organisation number of the vendor
externalRefstringExternal reference set at creation (may be empty)
userTypestringType of system user: standard (own system) or agent (client system)